Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

From: Dmitry Gutov <[email-masked]>
Date: Sat, 15 Jul 2017 20:38:15 +0300

On 7/14/17 10:04 AM, Eli Zaretskii wrote:

> That's because posn-at-point "simulates" redisplay: it performs all
> the layout calculations exactly like redisplay would, but without
> actually displaying anything.

Very cool. In that case, let's consider this issue resolved.

I've already pushed this fix and cut a new release now.

> (If you think posn-at-point takes that information from what is
> displayed on the glass, or from some of its internal representation,
> then that's not what it does, because the internal representation of
> what's on the glass is many times outdated when a Lisp program runs,
> so it cannot be trusted.)

I was thinking there was some change canary (or many of them), and the 
"internal representation" is recomputed when any of those values change.